package com.mx.dla.dda.reporte.cpview.dtos;

import java.io.Serializable;
import java.lang.reflect.Field;
import java.util.Date;

public class CargaVisualizacionesDetalleDTO implements Serializable {

	private Long			  idLdr;
	private Long			  idCarga;
	private String			  idBroadview;
	private String			  titulo;
	private String			  visualizaciones;
	private Date			  mes;
	private Integer			  estatus;
	private String			  comentarios;

	public Long getIdLdr() {
		return idLdr;
	}

	public void setIdLdr(Long idLdr) {
		this.idLdr = idLdr;
	}

	public Long getIdCarga() {
		return idCarga;
	}

	public void setIdCarga(Long idCarga) {
		this.idCarga = idCarga;
	}

	public String getIdBroadview() {
		return idBroadview;
	}

	public void setIdBroadview(String idBroadview) {
		this.idBroadview = idBroadview;
	}

	public String getTitulo() {
		return titulo;
	}

	public void setTitulo(String titulo) {
		this.titulo = titulo;
	}

	public String getVisualizaciones() {
		return visualizaciones;
	}

	public void setVisualizaciones(String visualizaciones) {
		this.visualizaciones = visualizaciones;
	}

	public Date getMes() {
		return mes;
	}

	public void setMes(Date mes) {
		this.mes = mes;
	}

	public Integer getEstatus() {
		return estatus;
	}

	public void setEstatus(Integer estatus) {
		this.estatus = estatus;
	}

	public String getComentarios() {
		return comentarios;
	}

	public void setComentarios(String comentarios) {
		this.comentarios = comentarios;
	}
	
	public String[] getFieldsAsRow() throws IllegalArgumentException, IllegalAccessException{
		Field[] fields = this.getClass().getDeclaredFields();
		String[] row = new String[fields.length];
		
		for(int i = 0; i < fields.length; i ++)
			row[i] = fields[i].get(this) != null ? fields[i].get(this).toString() : "0.0";

		return row;
	}

	@Override
	public String toString() {
		return "CargaVisualizacionesDetalleDTO [idLdr=" + idLdr + ", idCarga=" + idCarga + ", idBroadview=" + idBroadview + ", titulo=" + titulo + ", visualizaciones=" + visualizaciones + ", mes="
		        + mes + ", estatus=" + estatus + ", comentarios=" + comentarios + "]";
	}

}
